[typo] Problem updating Typo 2.5.6 to 2.6.0

Scott Laird scott at sigkill.org
Tue Dec 6 10:10:09 EST 2005


On Dec 6, 2005, at 2:38 AM, Christopher Gersbo-Møller wrote:

> Hello,
>
> I'm very new at both Ruby On Rails and Typo.
> I have just tried to update from Typo 2.5.6 to 2.6.0, following the  
> steps listed
> here: http://typo.leetsoft.com/trac/wiki/TroubleShooting.
> Rake aborts the migration process with the following error, when  
> running 'rake
> migrate RAILS_ENV="development"':
>
> (in C:/cgm/dev/RUBY_P~1/TYPO-2~1.0)
> rake aborted!
> undefined method `emulate_booleans=' for
> ActiveRecord::ConnectionAdapters::MysqlAdapter:Class
> ./rakefile:24
>
> This error appears to be caused by the file 'config/ 
> environment.rb', of which
> the last line reads:
>
> 'ActiveRecord::ConnectionAdapters::MysqlAdapter.emulate_booleans
> = false rescue nil'
>
> I am using PosgreSQL and not MySQL - could this be the cause of the  
> error? I do
> not really see why there should be a MySQL-specfic statement in
> 'config/environment.rb'.
>
> Any help or pointers appreciated

That line is needed to make MySQL work with Rails 0.14.x; you're  
probably using 0.13.1, so just delete the line.  It'll be fine.


Scott


More information about the Typo-list mailing list